# Class PrintLayout

java.lang.Object
jspecview.common.PrintLayout

public class PrintLayout extends Object
`PrintLayout` class stores all the information needed from the `PrintLayoutDialog`

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`asPDF`
`String`
`date`
`String`
`font`
The font of the elements
`int`
`imageableHeight`
`int`
`imageableWidth`
`int`
`imageableX`
`int`
`imageableY`
`String`
`layout`
The paper orientation ("portrait" or "landscape")
`Object`
`paper`
The size of the paper to be printed on
`int`
`paperHeight`
`int`
`paperWidth`
`String`
`position`
The position of the graph on the paper ("center", "default", "fit to page")
`boolean`
`showGrid`
whether or not the grid should be printed
`boolean`
`showTitles`
whether or not the title should be printed
`boolean`
`showXScale`
whether or not the X-scale should be printed
`boolean`
`showYScale`
whether or not the Y-scale should be printed
`String`
`title`

## Constructor Summary

Constructors
Constructor
Description
`PrintLayout(PanelData pd)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### imageableX

public int imageableX

### imageableY

public int imageableY

### paperHeight

public int paperHeight

### paperWidth

public int paperWidth

### imageableHeight

public int imageableHeight

### imageableWidth

public int imageableWidth

### layout

public String layout
The paper orientation ("portrait" or "landscape")

### position

public String position
The position of the graph on the paper ("center", "default", "fit to page")

### showGrid

public boolean showGrid
whether or not the grid should be printed

### showXScale

public boolean showXScale
whether or not the X-scale should be printed

### showYScale

public boolean showYScale
whether or not the Y-scale should be printed

### showTitles

public boolean showTitles
whether or not the title should be printed

### font

public String font
The font of the elements

### paper

public Object paper
The size of the paper to be printed on

### asPDF

public boolean asPDF

### title

public String title

### date

public String date

## Constructor Details

### PrintLayout

public PrintLayout(PanelData pd)